## org.apache.poi.hssf.record
Class LineFormatRecord

    java.lang.Object
      org.apache.poi.hssf.record.Record
          org.apache.poi.hssf.record.LineFormatRecord

public class LineFormatRecord
extends Record

Describes a line format record. The line format record controls how a line on a chart appears. NOTE: This source is automatically generated please do not modify this file. Either subclass or remove the record in src/records/definitions.

Author:
  Glen Stampoultzis (glens at apache.org)

Field Summary
`static short` `LINE_PATTERN_DARK_GRAY_PATTERN`
`static short` `LINE_PATTERN_DASH`
`static short` `LINE_PATTERN_DASH_DOT`
`static short` `LINE_PATTERN_DASH_DOT_DOT`
`static short` `LINE_PATTERN_DOT`
`static short` `LINE_PATTERN_LIGHT_GRAY_PATTERN`
`static short` `LINE_PATTERN_MEDIUM_GRAY_PATTERN`
`static short` `LINE_PATTERN_NONE`
`static short` `LINE_PATTERN_SOLID`
`static short` `sid`
`static short` `WEIGHT_HAIRLINE`
`static short` `WEIGHT_MEDIUM`
`static short` `WEIGHT_NARROW`
`static short` `WEIGHT_WIDE`

Constructor Summary
`LineFormatRecord()`
`LineFormatRecord(short id, short size, byte[] data)` Constructs a LineFormat record and sets its fields appropriately.
`LineFormatRecord(short id, short size, byte[] data, int offset)` Constructs a LineFormat record and sets its fields appropriately.

Method Summary
`java.lang.Object` `clone()`
`protected void` `fillFields(byte[] data, short size, int offset)` called by the constructor, should set class level fields.
`short` `getColourPaletteIndex()` Get the colour palette index field for the LineFormat record.
`short` `getFormat()` Get the format field for the LineFormat record.
`int` `getLineColor()` Get the line color field for the LineFormat record.
`short` `getLinePattern()` Get the line pattern field for the LineFormat record.
`int` `getRecordSize()` Size of record (exluding 4 byte header)
`short` `getSid()` return the non static version of the id for this record.
`short` `getWeight()` Get the weight field for the LineFormat record.
`boolean` `isAuto()` automatic format
`boolean` `isDrawTicks()` draw tick marks
`boolean` `isUnknown()` book marks this as reserved = 0 but it seems to do something
`int` `serialize(int offset, byte[] data)` called by the class that is responsible for writing this sucker.
`void` `setAuto(boolean value)` Sets the auto field value.
`void` `setColourPaletteIndex(short field_5_colourPaletteIndex)` Set the colour palette index field for the LineFormat record.
`void` `setDrawTicks(boolean value)` Sets the draw ticks field value.
`void` `setFormat(short field_4_format)` Set the format field for the LineFormat record.
`void` `setLineColor(int field_1_lineColor)` Set the line color field for the LineFormat record.
`void` `setLinePattern(short field_2_linePattern)` Set the line pattern field for the LineFormat record.
`void` `setUnknown(boolean value)` Sets the unknown field value.
`void` `setWeight(short field_3_weight)` Set the weight field for the LineFormat record.
`java.lang.String` `toString()` get a string representation of the record (for biffview/debugging)
`protected void` `validateSid(short id)` Checks the sid matches the expected side for this record

Methods inherited from class org.apache.poi.hssf.record.Record
`fillFields, isInValueSection, isValue, processContinueRecord, serialize`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sid

    public static final short sid

See Also:
  Constant Field Values

### LINE_PATTERN_SOLID

    public static final short LINE_PATTERN_SOLID

See Also:
  Constant Field Values

### LINE_PATTERN_DASH

    public static final short LINE_PATTERN_DASH

See Also:
  Constant Field Values

### LINE_PATTERN_DOT

    public static final short LINE_PATTERN_DOT

See Also:
  Constant Field Values

### LINE_PATTERN_DASH_DOT

    public static final short LINE_PATTERN_DASH_DOT

See Also:
  Constant Field Values

### LINE_PATTERN_DASH_DOT_DOT

    public static final short LINE_PATTERN_DASH_DOT_DOT

See Also:
  Constant Field Values

### LINE_PATTERN_NONE

    public static final short LINE_PATTERN_NONE

See Also:
  Constant Field Values

### LINE_PATTERN_DARK_GRAY_PATTERN

    public static final short LINE_PATTERN_DARK_GRAY_PATTERN

See Also:
  Constant Field Values

### LINE_PATTERN_MEDIUM_GRAY_PATTERN

    public static final short LINE_PATTERN_MEDIUM_GRAY_PATTERN

See Also:
  Constant Field Values

### LINE_PATTERN_LIGHT_GRAY_PATTERN

    public static final short LINE_PATTERN_LIGHT_GRAY_PATTERN

See Also:
  Constant Field Values

### WEIGHT_HAIRLINE

    public static final short WEIGHT_HAIRLINE

See Also:
  Constant Field Values

### WEIGHT_NARROW

    public static final short WEIGHT_NARROW

See Also:
  Constant Field Values

### WEIGHT_MEDIUM

    public static final short WEIGHT_MEDIUM

See Also:
  Constant Field Values

### WEIGHT_WIDE

    public static final short WEIGHT_WIDE

See Also:
  Constant Field Values

Constructor Detail

### LineFormatRecord

    public LineFormatRecord()

### LineFormatRecord

    public LineFormatRecord(short id,
                            short size,
                            byte[] data)

  Constructs a LineFormat record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1007 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)

### LineFormatRecord

    public LineFormatRecord(short id,
                            short size,
                            byte[] data,
                            int offset)

  Constructs a LineFormat record and sets its fields appropriately.

Parameters:
  `id` - id must be 0x1007 or an exception will be throw upon validation
  `size` - size the size of the data area of the record
  `data` - data of the record (should not contain sid/len)
  `offset` - of the record's data

Method Detail

### validateSid

    protected void validateSid(short id)

  Checks the sid matches the expected side for this record

  Specified by:
    `validateSid` in class `Record`
  Parameters:
    `id` - the expected sid.

### fillFields

    protected void fillFields(byte[] data,
                              short size,
                              int offset)

  Description copied from class: `Record`
  called by the constructor, should set class level fields. Should throw runtime exception for bad/icomplete data.

  Specified by:
    `fillFields` in class `Record`
  Parameters:
    `data` - raw data
    `size` - size of data
    `offset` - of the record's data (provided a big array of the file)

### toString

    public java.lang.String toString()

  Description copied from class: `Record`
  get a string representation of the record (for biffview/debugging)

  Overrides:
    `toString` in class `Record`

### serialize

    public int serialize(int offset,
                         byte[] data)

  Description copied from class: `Record`
  called by the class that is responsible for writing this sucker. Subclasses should implement this so that their data is passed back in a byte array.

  Specified by:
    `serialize` in class `Record`
  Parameters:
    `offset` - to begin writing at
    `data` - byte array containing instance data
  Returns:
    number of bytes written

### getRecordSize

    public int getRecordSize()

  Size of record (exluding 4 byte header)

  Overrides:
    `getRecordSize` in class `Record`

### getSid

    public short getSid()

  Description copied from class: `Record`
  return the non static version of the id for this record.

  Specified by:
    `getSid` in class `Record`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `Record`

### getLineColor

    public int getLineColor()

  Get the line color field for the LineFormat record.

### setLineColor

    public void setLineColor(int field_1_lineColor)

  Set the line color field for the LineFormat record.

### getLinePattern

    public short getLinePattern()

  Get the line pattern field for the LineFormat record.

  Returns:
    One of LINE_PATTERN_SOLID LINE_PATTERN_DASH LINE_PATTERN_DOT LINE_PATTERN_DASH_DOT LINE_PATTERN_DASH_DOT_DOT LINE_PATTERN_NONE LINE_PATTERN_DARK_GRAY_PATTERN LINE_PATTERN_MEDIUM_GRAY_PATTERN LINE_PATTERN_LIGHT_GRAY_PATTERN

### setLinePattern

    public void setLinePattern(short field_2_linePattern)

  Set the line pattern field for the LineFormat record.

  Parameters:
    `field_2_linePattern` - One of LINE_PATTERN_SOLID LINE_PATTERN_DASH LINE_PATTERN_DOT LINE_PATTERN_DASH_DOT LINE_PATTERN_DASH_DOT_DOT LINE_PATTERN_NONE LINE_PATTERN_DARK_GRAY_PATTERN LINE_PATTERN_MEDIUM_GRAY_PATTERN LINE_PATTERN_LIGHT_GRAY_PATTERN

### getWeight

    public short getWeight()

  Get the weight field for the LineFormat record.

  Returns:
    One of WEIGHT_HAIRLINE WEIGHT_NARROW WEIGHT_MEDIUM WEIGHT_WIDE

### setWeight

    public void setWeight(short field_3_weight)

  Set the weight field for the LineFormat record.

  Parameters:
    `field_3_weight` - One of WEIGHT_HAIRLINE WEIGHT_NARROW WEIGHT_MEDIUM WEIGHT_WIDE

### getFormat

    public short getFormat()

  Get the format field for the LineFormat record.

### setFormat

    public void setFormat(short field_4_format)

  Set the format field for the LineFormat record.

### getColourPaletteIndex

    public short getColourPaletteIndex()

  Get the colour palette index field for the LineFormat record.

### setColourPaletteIndex

    public void setColourPaletteIndex(short field_5_colourPaletteIndex)

  Set the colour palette index field for the LineFormat record.

### setAuto

    public void setAuto(boolean value)

  Sets the auto field value. automatic format

### isAuto

    public boolean isAuto()

  automatic format

  Returns:
    the auto field value.

### setDrawTicks

    public void setDrawTicks(boolean value)

  Sets the draw ticks field value. draw tick marks

### isDrawTicks

    public boolean isDrawTicks()

  draw tick marks

  Returns:
    the draw ticks field value.

### setUnknown

    public void setUnknown(boolean value)

  Sets the unknown field value. book marks this as reserved = 0 but it seems to do something

### isUnknown

    public boolean isUnknown()

  book marks this as reserved = 0 but it seems to do something

  Returns:
    the unknown field value.

Copyright © 2003 Apache Software Foundation.